-------------------------------
--擦除影音传送带(Net Transport)使用痕迹
--
-------------------------------

tInitDef = {}

tInitDef[1] = {}
tInitDef[1]["gbT"]="擦除下载软件运行痕迹"
tInitDef[1]["big5T"]="揽埃更硁ン笲︽勃格"
tInitDef[1]["enT"]="Downlowder"
tInitDef[1]["Key"]=170000
tInitDef[1]["iNoMenu"]=0
tInitDef[1]["fInstalled"]="LuaInstalled0"
tInitDef[1]["fEraseOpt"]="LuaCleaner0"
tInitDef[1]["tEraseTable"]="tEraseTable0"
tInitDef[1]["iRoot"]=7
tInitDef[1]["iSecond"]=0
tInitDef[1]["iThird"]=0

tInitDef[2] = {}
tInitDef[2]["gbT"]="擦除影音传送带(Net Transport)使用痕迹"
tInitDef[2]["big5T"]="揽埃紇肚癳盿(Net Transport)ㄏノ勃格"
tInitDef[2]["enT"]="Net Transport"
tInitDef[2]["Key"]=170100
tInitDef[2]["iNoMenu"]=1
tInitDef[2]["fInstalled"]="LuaInstalled"
tInitDef[2]["fEraseOpt"]="LuaCleaner"
tInitDef[2]["tEraseTable"]="tEraseTable"
tInitDef[2]["iRoot"]=7
tInitDef[2]["iSecond"]=1
tInitDef[2]["iThird"]=0

tInitDef[3] = {}
tInitDef[3]["gbT"]="擦除网际快车(FlashGet)使用痕迹"
tInitDef[3]["big5T"]="揽埃呼悔еó(FlashGet)ㄏノ勃格"
tInitDef[3]["enT"]="FlashGet"
tInitDef[3]["Key"]=170200
tInitDef[3]["iNoMenu"]=1
tInitDef[3]["fInstalled"]="LuaInstalled3"
tInitDef[3]["fEraseOpt"]="LuaCleaner3"
tInitDef[3]["tEraseTable"]="tEraseTable"
tInitDef[3]["iRoot"]=7
tInitDef[3]["iSecond"]=2
tInitDef[3]["iThird"]=0

tInitDef[4] = {}
tInitDef[4]["gbT"]="擦除网络蚂蚁(NetAnts)使用痕迹"
tInitDef[4]["big5T"]="揽埃呼蹈柯闷(NetAnts)ㄏノ勃格"
tInitDef[4]["enT"]="NetAnts"
tInitDef[4]["Key"]=170300
tInitDef[4]["iNoMenu"]=1
tInitDef[4]["fInstalled"]="LuaInstalled4"
tInitDef[4]["fEraseOpt"]="LuaCleaner4"
tInitDef[4]["tEraseTable"]="tEraseTable"
tInitDef[4]["iRoot"]=7
tInitDef[4]["iSecond"]=3
tInitDef[4]["iThird"]=0

tInitDef[5] = {}
tInitDef[5]["gbT"]="擦除Internet Download Manager使用痕迹"
tInitDef[5]["big5T"]="揽埃Internet Download Managerㄏノ勃格"
tInitDef[5]["enT"]="Internet Download Manager"
tInitDef[5]["Key"]=170400
tInitDef[5]["iNoMenu"]=1
tInitDef[5]["fInstalled"]="LuaInstalled5"
tInitDef[5]["fEraseOpt"]="LuaCleaner5"
tInitDef[5]["tEraseTable"]="tEraseTable"
tInitDef[5]["iRoot"]=7
tInitDef[5]["iSecond"]=4
tInitDef[5]["iThird"]=0

tInitDef[6] = {}
tInitDef[6]["gbT"]="擦除Free Download Manager使用痕迹"
tInitDef[6]["big5T"]="揽埃Free Download Managerㄏノ勃格"
tInitDef[6]["enT"]="Free Download Manager"
tInitDef[6]["Key"]=170500
tInitDef[6]["iNoMenu"]=1
tInitDef[6]["fInstalled"]="LuaInstalled6"
tInitDef[6]["fEraseOpt"]="LuaCleaner6"
tInitDef[6]["tEraseTable"]="tEraseTable"
tInitDef[6]["iRoot"]=7
tInitDef[6]["iSecond"]=5
tInitDef[6]["iThird"]=0

tInitDef[7] = {}
tInitDef[7]["gbT"]="擦除Orbit使用痕迹"
tInitDef[7]["big5T"]="揽埃Orbitㄏノ勃格"
tInitDef[7]["enT"]="Orbit"
tInitDef[7]["Key"]=170600
tInitDef[7]["iNoMenu"]=1
tInitDef[7]["fInstalled"]="LuaInstalled7"
tInitDef[7]["fEraseOpt"]="LuaCleaner7"
tInitDef[7]["tEraseTable"]="tEraseTable"
tInitDef[7]["iRoot"]=7
tInitDef[7]["iSecond"]=6
tInitDef[7]["iThird"]=0

tInitDef[8] = {}
tInitDef[8]["gbT"]="擦除ReGet使用痕迹"
tInitDef[8]["big5T"]="揽埃ReGetㄏノ勃格"
tInitDef[8]["enT"]="ReGet"
tInitDef[8]["Key"]=170700
tInitDef[8]["iNoMenu"]=1
tInitDef[8]["fInstalled"]="LuaInstalled8"
tInitDef[8]["fEraseOpt"]="LuaCleaner8"
tInitDef[8]["tEraseTable"]="tEraseTable"
tInitDef[8]["iRoot"]=7
tInitDef[8]["iSecond"]=7
tInitDef[8]["iThird"]=0

tInitDef[9] = {}
tInitDef[9]["gbT"]="擦除GetRight使用痕迹"
tInitDef[9]["big5T"]="揽埃GetRightㄏノ勃格"
tInitDef[9]["enT"]="GetRight"
tInitDef[9]["Key"]=170800
tInitDef[9]["iNoMenu"]=1
tInitDef[9]["fInstalled"]="LuaInstalled9"
tInitDef[9]["fEraseOpt"]="LuaCleaner9"
tInitDef[9]["tEraseTable"]="tEraseTable"
tInitDef[9]["iRoot"]=7
tInitDef[9]["iSecond"]=8
tInitDef[9]["iThird"]=0

tInitDef[10] = {}
tInitDef[10]["gbT"]="擦除Mass Download使用痕迹"
tInitDef[10]["big5T"]="揽埃Mass Downloadㄏノ勃格"
tInitDef[10]["enT"]="Mass Download"
tInitDef[10]["Key"]=170900
tInitDef[10]["iNoMenu"]=1
tInitDef[10]["fInstalled"]="LuaInstalled10"
tInitDef[10]["fEraseOpt"]="LuaCleaner10"
tInitDef[10]["tEraseTable"]="tEraseTable"
tInitDef[10]["iRoot"]=7
tInitDef[10]["iSecond"]=9
tInitDef[10]["iThird"]=0

HKEY_CLASSES_ROOT = 0x80000000
HKEY_CURRENT_USER = 0x80000001
HKEY_LOCAL_MACHINE = 0x80000002
HKEY_USERS = 0x80000003

  require "wyzl"

function LuaInstalled0()
   local bInstalled = 1
   return bInstalled
end;

function LuaInstalled()

   local bInstalled = 0
   strName = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Net Transport_is1", "Inno Setup: App Path")
   if(strName ~= nil) then
      if(WYZL.GetDirFileExists(strName .. "\\NetTransport.exe") == true) then
         bInstalled = 1
      end
   else
      strName = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Xi\\NetTransport 2", "Path")
      if(strName ~= nil) then
         if(WYZL.GetDirFileExists(strName .. "\\NetTransport.exe") == true) then
            bInstalled = 1
         end
      end
   end
   return bInstalled
end;

function LuaCleaner0()
   tEraseTable0 = {};
end;

function LuaCleaner()

   tEraseTable = {};
   strName = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Net Transport_is1", "Inno Setup: App Path")
   strUser = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Net Transport_is1", "Inno Setup: User")
   if(strName == nil) then
      strName = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Xi\\NetTransport 2", "Path")
   end
   if(strName ~= nil) then
      strUser = WYZL.GetUserName()
     
      tEraseTable[1] = {}
      tEraseTable[1]["path"]  = strName .. "\\" .. strUser .. "'s temp"
      tEraseTable[1]["gbT"]   = "影音传送带(Net Transport)使用痕迹"
      tEraseTable[1]["big5T"] = "紇肚癳盿(Net Transport)ㄏノ勃格"
      tEraseTable[1]["enT"]   = ""
      tEraseTable[1]["nOpt"]  = 3   --FILESFOLDERS
     
      tEraseTable[2] = {}
      tEraseTable[2]["path"]  = strName .. "\\" .. strUser .. "' NetTransport.database.copy"
      tEraseTable[2]["gbT"]   = "影音传送带(Net Transport)使用痕迹"
      tEraseTable[2]["big5T"] = "紇肚癳盿(Net Transport)ㄏノ勃格"
      tEraseTable[2]["enT"]   = ""
      tEraseTable[2]["nOpt"]  = 0   --SINGLEFILE
     
      tEraseTable[3] = {}
      tEraseTable[3]["path"]  = strName .. "\\" .. strUser .. "' NetTransport.database"
      tEraseTable[3]["gbT"]   = "影音传送带(Net Transport)使用痕迹"
      tEraseTable[3]["big5T"] = "紇肚癳盿(Net Transport)ㄏノ勃格"
      tEraseTable[3]["enT"]   = ""
      tEraseTable[3]["nOpt"]  = 0   --SINGLEFILE
   end

end;

function LuaInstalled3()

   local bInstalled = 0
   strName = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\JetCar\\JetCar\\General", "AppPath")
   if(strName ~= nil) then
      if(WYZL.GetDirFileExists(strName) == true) then
         bInstalled = 1
      end     
   end
   return bInstalled
end;

function LuaCleaner3()
  -- require "vcl"

   strTitle ="网际快车(FlashGet)使用痕迹"
   if(WYZL.GetLanguage() == 2) then
     strTitle="呼悔еó(FlashGet)ㄏノ勃格"
  elseif(WYZL.GetLanguage() == 3) then
     strTitle="FlashGet"
  end

   WYZL.PlugReset();
   
  sKey = "HKEY_CURRENT_USER\\Software\\JetCar\\JetCar";
   sKeyPara = "\\DownDir,\\SelFolder,\\Recent File List,";
   WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara); 

   strName = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\JetCar\\JetCar\\General", "AppPath")
   if(strName ~= nil) then
     strName = WYZL.GetFileDir(strName)
     WYZL.AddActionItem("DelFile",strName .. "\\*.jcd","","");
     WYZL.AddActionItem("DelFile",strName .. "\\*.jcd.bak","","");
     WYZL.AddActionItem("DelFile",strName .. "\\*.bk1","","");
     WYZL.AddActionItem("DelFile",strName .. "\\Default.*","","");
   end

   nReturn = 0;
   if(WYZL.IsLoaded() == 1) then
      nReturn = WYZL.DoPlugErase(strTitle,-1,0);
      
      --VCL.ShowMessage("結束");
   end

end;

function LuaInstalled4()

   local bInstalled = 0
   strName = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\NetAnts", "Location")
   if(strName ~= nil) then
      if(WYZL.GetDirFileExists(strName .. "\\NetAnts.exe") == true) then
         bInstalled = 1
      end     
   end
   return bInstalled
end;

function LuaCleaner4()
  -- require "vcl"

   strTitle ="网络蚂蚁(NetAnts)使用痕迹"
   if(WYZL.GetLanguage() == 2) then
     strTitle="呼蹈柯闷(NetAnts)ㄏノ勃格"
  elseif(WYZL.GetLanguage() == 3) then
     strTitle="NetAnts"
  end

   WYZL.PlugReset();
   
  sKey = "HKEY_CURRENT_USER\\Software\\NetAnts";
  sKeyPara = "\\MRU"
  WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);

   strName = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\NetAnts", "Location")
   if(strName ~= nil) then
     WYZL.AddActionItem("DelFile",strName .. "\\netants_bk1.job","","");
     WYZL.AddActionItem("DelFile",strName .. "\\netantslog.htm","","");
     WYZL.AddActionItem("DelFile",strName .. "\\netants.job","","");
   end

   nReturn = 0;
   if(WYZL.IsLoaded() == 1) then
      nReturn = WYZL.DoPlugErase(strTitle,-1,0);
      
      --VCL.ShowMessage("結束");
   end
end;

function LuaInstalled5()

   local bInstalled = 0
   strName = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\DownloadManager", "ExePath")
   if(strName ~= nil) then
      if(WYZL.GetDirFileExists(strName) == true) then
         bInstalled = 1
      end
   else
      os.RegDeleteKey(HKEY_CURRENT_USER,"Software\\DownloadManager")     
   end
   return bInstalled
end;

function LuaCleaner5()
  -- require "vcl"

   strTitle ="Internet Download Manager使用痕迹"
   if(WYZL.GetLanguage() == 2) then
     strTitle="Internet Download Managerㄏノ勃格"
  elseif(WYZL.GetLanguage() == 3) then
     strTitle="Internet Download Manager"
  end

   WYZL.PlugReset();
   
   sKey = "HKEY_CURRENT_USER\\Software\\DownloadManager";
   nMaxID = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\DownloadManager\\maxID", "maxID")
   for i = 0, nMaxID do
    sKeyPara = "\\" .. i
    WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
  end

   sKeyPara = "\\,LastUrl\\r\\n";
   WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);
  --os.RegDeleteValue(HKEY_CURRENT_USER,"Software\\DownloadManager","LastUrl");
  --os.RegDeleteAllSubKey(HKEY_CURRENT_USER,"Software\\DownloadManager\\netApps");
   sKeyPara = "\\netApps,";
   WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara); 

   WYZL.AddActionItem("DelFile","%AppData%\\IDM\\DwnlData\\*.*","FilesFolders","");
   WYZL.AddActionItem("DelFile","%LocalAppData%\\IDM\\DwnlData\\*.*","FilesFolders","");

   WYZL.AddActionItem("DelFile","%AppData%\\IDM\\Grabber\\*.*","FilesFolders","");
   WYZL.AddActionItem("DelFile","%LocalAppData%\\IDM\\Grabber\\*.*","FilesFolders","");

   WYZL.AddActionItem("DelFile","%AppData%\\IDM\\GrabberData\\*.*","FilesFolders","");
   WYZL.AddActionItem("DelFile","%LocalAppData%\\IDM\\GrabberData\\*.*","FilesFolders","");

   WYZL.AddActionItem("DelFile","%AppData%\\IDM\\Scheduler\\*.*","FilesFolders","");
   WYZL.AddActionItem("DelFile","%LocalAppData%\\IDM\\Scheduler\\*.*","FilesFolders","");
   
   WYZL.AddActionItem("DelFile","%AppData%\\IDM\\*.dat","","");
   WYZL.AddActionItem("DelFile","%LocalAppData%\\IDM\\*.dat","","");
   
   WYZL.AddActionItem("DelFile","%AppData%\\IDM\\*.txt","","");
   WYZL.AddActionItem("DelFile","%LocalAppData%\\IDM\\*.txt","","");

  strName = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\DownloadManager", "TempPath")
  if(strName ~= nil) then
     WYZL.AddActionItem("DelFile",strName .. "\\*.*","FilesFolders","");
  end

  strName = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\DownloadManager", "AppDataIDMFolder")
  if(strName ~= nil) then
     WYZL.AddActionItem("DelFile",strName .. "\\*.*","FilesFolders","");
  end

  strName = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\DownloadManager", "ExePath")
  if(strName ~= nil) then
     nPos = WYZL.StrReverseFind(strName,"\\")
     strName = WYZL.StrLeft(strName,nPos);
     
     FileName = strName ;
     WYZL.AddActionItem("DelFile",FileName .. "\\Temp*.dat","","");
     WYZL.AddActionItem("DelFile",FileName .. "\\Temp*.txt","","");
     WYZL.AddActionItem("DelFile",FileName .. "\\GlobalErrors.log","","");
     
     FileName = strName ;
     FileName = FileName .. "\\TempGrabber";
     WYZL.AddActionItem("DelFile",FileName .. "\\*.*","FilesFolders","");
     
     FileName = strName ;
     FileName = FileName .. "\\TempScheduler";
     WYZL.AddActionItem("DelFile",FileName .. "\\*.*","FilesFolders","");   
  end 

   nReturn = 0;
   if(WYZL.IsLoaded() == 1) then
      nReturn = WYZL.DoPlugErase(strTitle,-1,0);
      
      --VCL.ShowMessage("結束");
   end

end;

function LuaInstalled6()

   local bInstalled = 0
   strName = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders", "AppData")
   if(strName ~= nil) then
      if((WYZL.GetDirFileExists(strName ..  "\\Free Download Manager\\history.sav" ) == true) or (WYZL.GetDirFileExists(strName ..  "\\Free Download Manager\\flag.txt") == true)) then
         bInstalled = 1
      end     
   end
   return bInstalled
end;

function LuaCleaner6()

   strTitle ="Free Download Manager使用痕迹"
   if(WYZL.GetLanguage() == 2) then
     strTitle="Free Download Managerㄏノ勃格"
  elseif(WYZL.GetLanguage() == 3) then
     strTitle="Free Download Manager"
  end

   WYZL.PlugReset();
   
   WYZL.AddActionItem("DelFile","%AppData%\\Free Download Manager\\*.*","FilesFolders","");
   WYZL.AddActionItem("DelFile","%LocalAppData%\\Free Download Manager\\*.*","FilesFolders","");

   strName = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\FreeDownloadManager.ORG\\Free Download Manager\\Settings", "DataFolder")
   if(strName ~= nil) then
   FileName = strName ;
      WYZL.AddActionItem("DelFile",FileName .. "\\*.sav","","");
      --WYZL.AddActionItem("DelFile",FileName .. "\\dlmgrsi.sav","","");
      --WYZL.AddActionItem("DelFile",FileName .. "\\downloads.del.sav","","");
      --WYZL.AddActionItem("DelFile",FileName .. "\\downloads.his.sav","","");
      --WYZL.AddActionItem("DelFile",FileName .. "\\downloads.sav","","");
      --WYZL.AddActionItem("DelFile",FileName .. "\\groups.sav","","");
      --WYZL.AddActionItem("DelFile",FileName .. "\\history.sav","","");
      --WYZL.AddActionItem("DelFile",FileName .. "\\mctasks.sav","","");
      --WYZL.AddActionItem("DelFile",FileName .. "\\schedules.sav","","");
      --WYZL.AddActionItem("DelFile",FileName .. "\\sites.sav","","");
      --WYZL.AddActionItem("DelFile",FileName .. "\\spider.sav","","");
      --WYZL.AddActionItem("DelFile",FileName .. "\\uploads.1.sav","","");
   end

   nReturn = 0;
   if(WYZL.IsLoaded() == 1) then
      nReturn = WYZL.DoPlugErase(strTitle,-1,0);
      
      --VCL.ShowMessage("結束");
   end

end;

function LuaInstalled7()

   local bInstalled = 0
   strName = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders", "AppData")
   if(strName ~= nil) then
      if(WYZL.GetDirFileExists(strName .. "\\Orbit\\conf.dat") == true) then
         bInstalled = 1
      end     
   end
   return bInstalled
end;

function LuaCleaner7()

   tEraseTable = {};
   tc = 0
   strName = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders", "AppData")
   if(strName ~= nil) then
      tc = tc + 1
      tEraseTable[tc] = {}
      tEraseTable[tc]["path"]  = strName .. "\\Orbit"
      tEraseTable[tc]["gbT"]   = "Orbit使用痕迹"
      tEraseTable[tc]["big5T"] = "Orbitㄏノ勃格"
      tEraseTable[tc]["enT"]   = ""
      tEraseTable[tc]["nOpt"]  = 3   --FILESFOLDERS
   end
   nerr,strName = WYZL.GetTempPath()
   if(nerr>0 and strName ~= nil) then
      tc = tc + 1
      tEraseTable[tc] = {}
      tEraseTable[tc]["path"]  = strName .. "\\conf.dat"
      tEraseTable[tc]["gbT"]   = "Orbit使用痕迹"
      tEraseTable[tc]["big5T"] = "Orbitㄏノ勃格"
      tEraseTable[tc]["enT"]   = ""
      tEraseTable[tc]["nOpt"]  = 0   --SINGLEFILE
   end

end;

function LuaInstalled8()

   local bInstalled = 0
   bRet = os.RegKeyExists(HKEY_CURRENT_USER,"Software\\ReGet Software\\ReGetPro")
   if( bRet == true) then
         bInstalled = 1
   end
   bRet = os.RegKeyExists(HKEY_CURRENT_USER,"Software\\ReGet Software\\ReGetDx")
   if( bRet == true) then
         bInstalled = 1
   end
   return bInstalled
end;

function LuaCleaner8()

   tEraseTable = {};
   os.RegDeleteAllValue(HKEY_CURRENT_USER,"Software\\ReGet Software\\ReGetPro\\History\\Download\\Url");
   os.RegDeleteAllValue(HKEY_CURRENT_USER,"Software\\ReGet Software\\ReGetDx\\History\\Download\\Url");

  tc = 0
   strName = os.getenv("USERPROFILE")
   if(strName ~= nil) then
     tc = tc + 1
      tEraseTable[tc] = {}
      tEraseTable[tc]["path"]  = strName .. "\\Application Data\ReGet Software"
      tEraseTable[tc]["gbT"]   = "ReGet使用痕迹"
      tEraseTable[tc]["big5T"] = "ReGetㄏノ勃格"
      tEraseTable[tc]["enT"]   = ""
      tEraseTable[tc]["nOpt"]  = 3   --FILESFOLDERS
   end
   strName = os.getenv("ProgramFiles")
   if(strName ~= nil) then
     tc = tc + 1
      tEraseTable[tc] = {}
      tEraseTable[tc]["path"]  = strName .. "\\ReGet Deluxe\\history"
      tEraseTable[tc]["gbT"]   = "ReGet使用痕迹"
      tEraseTable[tc]["big5T"] = "ReGetㄏノ勃格"
      tEraseTable[tc]["enT"]   = ""
      tEraseTable[tc]["nOpt"]  = 3   --FILESFOLDERS
   end
   strName1 = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\ReGet Software\\ReGetDx", "QueueFile")
   if(strName1 ~= nil) then
      strName = WYZL.GetFileDir(strName1)
   else
      strName1 = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\ReGet Software\\ReGetPro", "QueueFile")
      if(strName1 ~= nil) then
         strName = WYZL.GetFileDir(strName1)
      else
         strName = strName .. "\\ReGet Deluxe"
      end
   end
   if(strName ~= nil) then
     tc = tc + 1
      tEraseTable[tc] = {}
      tEraseTable[tc]["path"]  = strName .. "\\history"
      tEraseTable[tc]["gbT"]   = "ReGet使用痕迹"
      tEraseTable[tc]["big5T"] = "ReGetㄏノ勃格"
      tEraseTable[tc]["enT"]   = ""
      tEraseTable[tc]["nOpt"]  = 3   --FILESFOLDERS
   end
  -- 还有单个文件形式没有处理！！！1969--2009行代码

   strName = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\ReGet Software\\ReGetDx", "Dir")
   if(strName ~= nil) then
     tc = tc + 1
      tEraseTable[tc] = {}
      tEraseTable[tc]["path"]  = strName .. "\\history"
      tEraseTable[tc]["gbT"]   = "ReGet Deluxe 4X使用痕迹"
      tEraseTable[tc]["big5T"] = "ReGet Deluxe 4Xㄏノ勃格"
      tEraseTable[tc]["enT"]   = ""
      tEraseTable[tc]["nOpt"]  = 3   --FILESFOLDERS
   end

   strName = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\ReGet Software\\ReGetDx", "HistoryPath")
   if(strName ~= nil) then
     tc = tc + 1
      tEraseTable[tc] = {}
      tEraseTable[tc]["path"]  = strName
      tEraseTable[tc]["gbT"]   = "ReGet Deluxe 5X使用痕迹"
      tEraseTable[tc]["big5T"] = "ReGet Deluxe 5Xㄏノ勃格"
      tEraseTable[tc]["enT"]   = ""
      tEraseTable[tc]["nOpt"]  = 3   --FILESFOLDERS
   end
end;

function LuaInstalled9()

   local bInstalled = 0
   bRet = os.RegKeyExists(HKEY_CURRENT_USER,"Software\\Headlight\\GetRight")
   if( bRet == true) then
         bInstalled = 1
   end
   return bInstalled
end;

function LuaCleaner9()

   tEraseTable = {};
   os.RegDeleteAllValue(HKEY_CURRENT_USER,"Software\\Headlight\\GetRight\\MRU");
   os.RegDeleteAllValue(HKEY_CURRENT_USER,"Software\\Headlight\\GetRight\\Recent File List");

   strName = os.getenv("ProgramFiles")
   if(strName ~= nil) then
      tEraseTable[1] = {}
      tEraseTable[1]["path"]  = strName .. "\\GetRight\\GetRight.hst"
      tEraseTable[1]["gbT"]   = "GetRight使用痕迹"
      tEraseTable[1]["big5T"] = "GetRightㄏノ勃格"
      tEraseTable[1]["enT"]   = "GetRight"
      tEraseTable[1]["nOpt"]  = 0   --SINGLEFILE
   end
end;

function LuaInstalled10()

   local bInstalled = 0
   strName = os.getenv("ProgramFiles")
   if(strName ~= nil) then
      if(WYZL.GetDirFileExists(strName .. "\\Mass Downloader\\INDEX") == true) then
         bInstalled = 1
      end     
   end
   return bInstalled
end;

function LuaCleaner10()

   tEraseTable = {};
   strName = os.getenv("ProgramFiles")
   if(strName ~= nil) then
      tEraseTable[1] = {}
      tEraseTable[1]["path"]  = strName .. "\\Mass Downloader\\INDEX"
      tEraseTable[1]["gbT"]   = "Mass Download使用痕迹"
      tEraseTable[1]["big5T"] = "Mass Downloadㄏノ勃格"
      tEraseTable[1]["enT"]   = ""
      tEraseTable[1]["nOpt"]  = 3   --FILESFOLDERS
                           
      tEraseTable[2] = {}
      tEraseTable[2]["path"]  = strName .. "\\Mass Downloader\\INDEX\\history.bak"  --与上面重复??
      tEraseTable[2]["gbT"]   = "Mass Download使用痕迹"
      tEraseTable[2]["big5T"] = "Mass Downloadㄏノ勃格"
      tEraseTable[2]["enT"]   = ""
      tEraseTable[2]["nOpt"]  = 0   --SINGLEFILE

      tEraseTable[3] = {}
      tEraseTable[3]["path"]  = strName .. "\\Mass Downloader\\INDEX\\history.dat"
      tEraseTable[3]["gbT"]   = "Mass Download使用痕迹"
      tEraseTable[3]["big5T"] = "Mass Downloadㄏノ勃格"
      tEraseTable[3]["enT"]   = ""
      tEraseTable[3]["nOpt"]  = 0   --SINGLEFILE

      tEraseTable[4] = {}
      tEraseTable[4]["path"]  = strName .. "\\Mass Downloader\\INDEX\\massdown.dat"
      tEraseTable[4]["gbT"]   = "Mass Download使用痕迹"
      tEraseTable[4]["big5T"] = "Mass Downloadㄏノ勃格"
      tEraseTable[4]["enT"]   = ""
      tEraseTable[4]["nOpt"]  = 0   --SINGLEFILE
   end

end;
